# Interface yii\httpclient\ParserInterface

Implemented by | yii\httpclient\JsonParser, yii\httpclient\UrlEncodedParser, yii\httpclient\XmlParser
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/ParserInterface.php

ParserInterface represents HTTP response message parser.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
parse() | Parses given HTTP response instance. | yii\httpclient\ParserInterface

## Method Details

parse() public abstract method

Parses given HTTP response instance.

public abstract mixed parse ( yii\httpclient\Response $response )
$response | yii\httpclient\Response | HTTP response instance.
return | mixed | Parsed content data.